API ReferenceClub
Get the club
GET
/v1/clubReturns the club this API key belongs to — its name and timezone. Use the timezone to interpret times returned by other endpoints (e.g. /v1/schedule). Scoped to the club tied to your API key.
Authorization
bearerAuth AuthorizationBearer <token>
Your club API key. Send it as Authorization: Bearer oc_live_….
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.getopencourt.com/v1/club"{
"id": "c0ffee00-1111-4222-8333-444455556666",
"object": "club",
"name": "Palace of Pickleball",
"timezone": "America/New_York"
}{
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"request_id": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"request_id": "string"
}
}